image
Inicio » Foros » PHP

Foro sobre PHP

problemon php 5.1.4 y apache 2.2.2

Volver al foro | Tema cerrado | Añadir nuevo tema


De: ernesto
Fecha: 18/05/2006
Mensaje:

Hola wenas llevo 2 dias intentando instalar y configurar php 5.1.4 en apache 2.2.2 y nada q no hay manera. Del php me bajo el modulo (zip file) hago todo lo q m dicen los manuales :
   - modico php.ini;
   - agrego en httpd las lineasLoadModule php5_module
c:/php/php5apache2.dll
ScriptAlias /php/ "c:/php/"
AddType application/x-httpd-php .php
Action application/x-httpd-php "/php/php.exe"
AddType application/x-httpd-php .php
  - copio los dlls de php5 a la carpetaa windows/system32 (uso winxp)
  - copio php5apache2.dll y php5ts.dll en el directorio de apache y en /modules (x si acaso)
Y nada q siempre me dice el mismo error:


C:Archivos de programaApache Software FoundationApache2.2bin>httpd
httpd: Syntax error on line 116 of C:/Archivos de programa/Apache Software Found
ation/Apache2.2/conf/httpd.conf: Cannot load C:/php/php5apache2.dll into server:
 No se puede encontrar el mxf3dulo especificado.

Por favor ayuda stoy desesperao
Gracias y salu2




Quizás le interese
De: Lobo
Util para: 1 personas

Fecha: 19/05/2006
Mensaje:

Tengo exactamente el mismo problema, hace una semana que me estoy dando contra la pared.

El apache funciona bien y el php desde linea de comando de DOS funciona bien y contra mysql y postgres. Por lo cual el php no tiene nada que ver.

Cuando trato de levantar el apache 2.2.2 con el 'famoso'  LoadModule bla bla bla c:/Servidor/PHP/php5apache2.dll, probado de mil maneras también, simplemente....no lo carga !!!!

Por favor alguien que responda por este desastre !!!!

 

gracias.





De: Fernando
Util para: 0 personas

Fecha: 20/05/2006
Mensaje:

No os funciona pq todavía ese modulo no es compatible con apache 2.2, lo es para apache 2.0

Saludos



De: Fernando
Util para: 3 personas

Fecha: 20/05/2006
Mensaje:

Rectifico mi mensaje anterior, resulta que es debido a un fallo al compilar Apache, y hay versiones de apache que funcionan y otras que no... en la siguiente página podeis descargar un fichero dll que funciona con apache 2.2, basta que sustituyáis el php4apache2.dll o php5apache2.dll por el que podeis descargar aqui.

Saludos

http://www.apachelounge.com/download/




De: tania
Util para: 0 personas

Fecha: 14/06/2006
Mensaje:

Hola!! Como ha muchos de ustedes, yo tambien tengo problemas. Despues de ver muchos foros y manuales, vi en primer lugar que mi problema era el famoso php5apache.dll. Lo actualicé y configure de nuevo el httpd.conf de apache. Ahora al iniciar apache me da el siguiente error:

The requested operation has falled!

A que puede ser debido?? Me jpodeis ayudar??

Gracias

 

 





De: Fabrizio
Util para: 0 personas

Fecha: 14/06/2006
Mensaje:

Yo hasta ahora no logro correo el apache alguien me podria mandar el httpd.conf a mi email es matrix7625(arroba)hotmail.com  o fortigas1(arroba)yahoo.es  les agradeceria el apoyo por que no encuentro el problema al cargar los modulos sale que no los encuentra



De: magickey
Util para: 0 personas

Fecha: 19/06/2006
Mensaje:

Necesitas el modulo php5apache2_2.dll:

Descarga esto:
http://snaps.php.net/win32/php5.2-win32-latest.zip

El la configuración de Apache (httpd.conf):
LoadModule php5_module .../php5/php5apache2_2.dll





De: yuguilley
Util para: 0 personas

Fecha: 21/06/2006
Mensaje:

Les recominedo la forma mas facil de Tener instalado Apache, PHP, MySQl si tener que crear codigo y demas, wampserver.exe esta super completo.

www.wampserver.com



De: jjb
Util para: 0 personas

Fecha: 22/06/2006
Mensaje:

Para magickey,funciona perfectamente. Ademas gracias a eso se puede tener una version estable de apache, con ssl y php.

Gracias tio eres un crack



De: Drackness
Util para: 0 personas

Fecha: 26/06/2006
Mensaje:

Muchas gracias, no se como llegue aqui pero me sirvio bastante.... muchas gracias.



De: masterhades
Util para: 1 personas

Fecha: 28/06/2006
Mensaje:

Para magickey y JJB, una consulta ya solucione el problema q tenia al levantar apache pero ahora tengo un problema cuando pruebo el servicio, me sale este error:

Forbidden

You don't have permission to access / on this server.

Alguien me podria ayudar???





De: djacedj
Util para: 0 personas

Fecha: 28/06/2006
Mensaje:

Hola amigos, llevo 2 dias rompiendome la cabeza para conseguir instalar php 5.1.4 con apache 2.2.2 y nada. Al final he llegado a este foro con bastante camino avanzado y ya había conseguido levantar apache pero cuando pongo en el navegador http ://localhost  no hay manera de que me cargue la puñetera página que supuestamente aparece cuando todo funciona correctamente.

Alguien me puede ayudar??





De: masterhades
Util para: 0 personas

Fecha: 28/06/2006
Mensaje:

Q tal amigos ya pude resolver el problema, hay dos directory, en el cual vuelve a validar la ruta solo hay q cambiarle el dato q puse de rojo, y listo funciona perfectamente....


DocumentRoot "C:/Servidor/WWW/"


<Directory "C:/Servidor/WWW/">

</Directory>

Estan casi juntos busquen documentroot y mas abajo esta el otro con la direccion por defecto del apache





De: Andriu
Util para: 0 personas

Fecha: 05/07/2006
Mensaje:

Cuando decís que no os carga la librería... ¿Habéis intentado poner en el httpd.conf esto?

- LoadModule php5_module "C:/php/php5apache2.dll"

en vez de...

- LoadModule php5_module C:/php/php5apache2.dll ???

Probadlo. ;-) Funciona perfecto. Si acaso no fuera aún con eso, bajaos este archivo y seguid las instrucciones....

http://www.apachelounge.com/download/mods/php5apache2.dll-php5.1.x.zip

Espero haber sido de ayuda.





De: Daxel
Util para: 0 personas

Fecha: 05/07/2006
Mensaje:

Hola, estoy tratando de conectarme a MySQL 5.0 desde PHP 5.4.1 con Apache 2.2.2, pero cuando corro la página, me da un error de "call to undefined function mysql_connect()", ya habilite las extensiones php_mysql.dll y php_mysqli.dll en el archivo php.ini y ya puse el archivo libmysql.dll en el path del windows, y ya cofigure la directiva extension_dir en el php.ini, también ya puse la ruta a php (C;php) en el path de windows, qué mas puedo hacer?



De: Joel Amador
Util para: 0 personas

Fecha: 06/07/2006
Mensaje:

Hola, yo solucione el problema descargando
http://snaps.php.net/win32/php5.2-win32-latest.zip

Descargar en el directorio donde tienes instalado el php y reemplazar los que ya esten instalados.

En el archivo httpd.conf:
LoadModule php5_module c:/carpeta_de_php/php5apache2_2.dll

y ahi solucione el conflicto
Saludos




De: Nico
Util para: 0 personas

Fecha: 20/07/2006
Mensaje:

Fernando, Masterhades, me salvaron las papas!! estaba trabadísimo con el maldito cannot load module, que no lo encontraba... que mierda! tenìa el PHP 5.0.4, me bajé el último, más la actualización posteada, luego vino el forbidden, y gracias al mensaje de master, ahora está, fueron de gran ayuda. Miles de gracias!



De: obvio
Util para: 0 personas

Fecha: 20/07/2006
Mensaje:

para evitarte pedos instala solo el appserv





De: kommissar
Util para: 0 personas

Fecha: 02/08/2006
Mensaje:

nada que decir de appserv... se quedó en el pasado, es mejor ir creando un sistema de servidor propio y con capacidad de auto administración en vez de funcionar con un sistema creado por otro usuario, que lo crea a su medida y que... no te permite, en cierto modo administrarlo porque puedes comprometer otros recursos... esa es la gracia de crear un servidor propio, que cuando haces los cambios, sabes que recursos puedes afectar y sabes como arreglar las fallas





De: daniel
Util para: 0 personas

Fecha: 07/08/2006
Mensaje:

hola alguien me puede dar una mano quiero instalar y configurar
php 5.1.4 en apache 2.2.2, alguien me puede decir bien cuales son los pasos
a seguir porque yo trate de configurarlo pero cuando pruebo una pagina me  aparece un cartel para guardar el archivo en el disco rigido como cuando
uno descarga algo de internet

por favor si alguien me puede ayudar
gracias!!!





Volver al foro | Tema cerrado | Añadir nuevo tema

Quizás le interese:

WebEstilo.com no se hace responsable de las opiniones que los usuarios puedan verter en cualquiera de los foros existentes.

Si te solucionó el problema pulsa en G+1


Gracias!






Comparte



Última modificación:05 de Agosto de 2012. Spain - España.
© 1998-2004 por . Todos los derechos reservados.